<!-- Creado: Félix Ricardo Oliva Alonso, 09/12/2016. Se crea la vista para administrar consultorios -->

<?php
use App\Libraries\ejLib;
$var = ejLib::getInstance();
$soapclient = $var->getWs();
$wsClave = $var->get_wsClave();

$respuesta = $soapclient->AdministrarConsultorios_get_Modulo($_POST['Id_Archivo'],$wsClave);
$obj = new SimpleXMLElement(utf8_encode($respuesta));

$equiposreg= explode(",", $obj->respuesta[0]->equiposreg);
$nequiposreg=count($equiposreg);

?>

<script>
$(document).ready(function(){
	$( ".cerrar_form" ).click(function() {
		jqGetAjax("cerrar","tblMovimientos", { clvRama: '', titleRama: '' });
	});

	$( "#btn_asignar_adcon3" ).click(function() {
	 	var valorActual= '';
	 	var vActual= '';
	 	valorActual = $( "#vCat_Compu :selected" ).text();
	 	vActual = $( "#vCat_Compu :selected" ).val();

	 	if(  $("#lstEquipos option[value='"+vActual+"']").length == 0  ){
		 	$('#lstEquipos').append($('<option>', {
			    value: vActual,
			    text: valorActual
			}));
		}
	});

	$( "#btn_remover_adcon3" ).click(function() {
		var vActual = $( "#lstEquipos :selected" ).val();
		$('#lstEquipos option[value=' + vActual + ']').remove();
	});
});
 </script>

<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>

	<div class="row">
		<div class="titulo_fondo">
			<div class="titulo_pagina2">EDITAR EL MÓDULO</div>
			<a href="#"><img src="Img/close.png" height="20"  class="cerrar_form"/></a>
		</div>
	</div><br>

	<div class="row">

		<div class=" form-group   col-md-6 col-md-offset-0">
			<label><b>CENTRO DE SALUD: {!! $obj->respuesta[0]->centrosalud; !!}</b></label>
		</div>
	</div>

	<div class="row">
		<div class=" form-group-sm col-sm-3 ">
			No. Módulo: <input type="text" class="form-control" name="consultorio_adcon3" id="consultorio_adcon3"  placeholder="Máximo 50 caracteres" value="{!! $obj->respuesta[0]->no; !!}" onkeypress="return NumEntCheck(event, this, 6);" />
		</div>
		<div class="form-group-sm col-sm-offset-1 col-sm-5">
      Equipos registrados:<br>
      <div class="input-group">
        {!! $var->getView('Catalogos\VistasController@vCat_Compu','Centro_Sal='.$_POST['Centro_Sal']) !!}
        <span class="input-group-btn">
          <button type="button" id="btn_asignar_adcon3" class="btn btn-secondary btn-sm">Asignar</button>
        </span>
      </div>

      <div class="input-group">
				<select id="lstEquipos" name="lstEquipos" class="form-control" style="height: 30px;">
					<?php $i=0;
					while($i<$nequiposreg){
						$mac=explode(" - ", $equiposreg[$i]);
						if(trim($mac[0])!= '')echo '<option value="'.trim($mac[0]).'">'.$equiposreg[$i].'</option>';
						++$i;
					}
					?>
				</select>
        <span class="input-group-btn">
          <button type="button" id="btn_remover_adcon3" class="btn btn-secondary btn-sm">Remover</button>
        </span>
      </div>
    </div>
	</div>

	<div class="row" style="text-align:right;" id="upModulo" name="upModulo">
		<button type="button" id="btn_guardar_adcon3" onclick="
		jqSetMensaje('upModulo', '', null);

	 	var Id_Archivo= '<?php echo $_POST['Id_Archivo']; ?>';
		var vActual = Id_Archivo+','+$( '#consultorio_adcon3' ).val();
		var vLstEquipos='';

		$('#lstEquipos option').each(function(){
		    vLstEquipos= vLstEquipos+','+$(this).val();
		});
		if(vLstEquipos.length > 1)
			vLstEquipos=vLstEquipos.substring(1, vLstEquipos.length);


		jqGetAjax('catalogo-up_ModuloDeArchivo','upModulo', { Id_Archivo: '<?php echo $_POST['Id_Archivo']; ?>', No: $( '#consultorio_adcon3' ).val(), equiposReg: vLstEquipos });

		//listarModulos();
		">Actualizar</button>
	</div>
